Loading...
Searching...
No Matches
BALL::VIEW::EnergyMinimizerThread Class Reference

Thread for EnergyMinimization. More...

`#include <BALL/VIEW/KERNEL/threads.h>`

Inheritance diagram for BALL::VIEW::EnergyMinimizerThread:

## Public Member Functions

| EnergyMinimizerThread ()
virtual | ~EnergyMinimizerThread ()
virtual void | run ()
void | setEnergyMinimizer (EnergyMinimizer *minimizer)
Public Member Functions inherited from BALL::VIEW::SimulationThread
| SimulationThread ()
void | setNumberOfStepsBetweenUpdates (Size steps)
void | setTrajectoryFile (TrajectoryFile *file)
TrajectoryFile * | getTrajectoryFile ()
Public Member Functions inherited from BALL::VIEW::BALLThread
| BALLThread ()
void | setMainControl (MainControl *mf)
void | setComposite (Composite *composite)
Composite * | getComposite ()

## Protected Attributes

EnergyMinimizer * | minimizer_
Protected Attributes inherited from BALL::VIEW::SimulationThread
Size | steps_between_updates_
TrajectoryFile * | trajectory_file_
Protected Attributes inherited from BALL::VIEW::BALLThread
MainControl * | main_control_
Composite * | composite_

## Additional Inherited Members

Protected Member Functions inherited from BALL::VIEW::SimulationThread
void | exportSceneToPNG_ ()
| Notify the MainControl to export an PNG.
void | finish_ ()
| Notifies the main thread to delete the simulating thread.
Protected Member Functions inherited from BALL::VIEW::BALLThread
void | sendMessage_ (Message *msg)
void | updateStructure_ ()
void | output_ (const String &string, bool important=false)
| Sends the string as outout to Log.info.
void | waitForUpdateOfRepresentations_ ()

## Detailed Description

Thread for EnergyMinimization.

Definition at line 221 of file threads.h.

## Constructor & Destructor Documentation

## EnergyMinimizerThread()

BALL::VIEW::EnergyMinimizerThread::EnergyMinimizerThread | ( |  | ) |

## ~EnergyMinimizerThread()

virtual BALL::VIEW::EnergyMinimizerThread::~EnergyMinimizerThread | ( |  | ) |

virtual

## Member Function Documentation

## run()

virtual void BALL::VIEW::EnergyMinimizerThread::run | ( |  | ) |

virtual

Overloaded from QThread::run(), overload again in derived classes!

Reimplemented from BALL::VIEW::BALLThread.

## setEnergyMinimizer()

void BALL::VIEW::EnergyMinimizerThread::setEnergyMinimizer | ( | EnergyMinimizer * | minimizer | ) |

## Member Data Documentation

## minimizer_

EnergyMinimizer* BALL::VIEW::EnergyMinimizerThread::minimizer_

protected

Definition at line 239 of file threads.h.